KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataTimePrimitive Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

a base class for the style classes

A GeoDataTimePrimitive is a base class for the time classes TimeSpan and TimeStamp classes.

@See GeoDataTimeSpan @See GeoDataTimeStamp

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataTimePrimitive other)
QString | nodeType (self)
| pack (self, QDataStream stream)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataTimePrimitive | other
| ) |  |  |

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the styleselector to a stream

Parameters:

  |  | stream the stream

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the styleselector from a stream

Parameters:

  |  | stream the stream